Subject: Re: [I2nsf] IPR Statements about I2NSF documents

From: "Susan Hares" <[email-masked]>
Date: Mon, 8 Jul 2019 08:30:16 -0400

I have no objection to this new version of the IPR statements. 

Sue Hares 

From: I2nsf [mailto:[email-masked]] On Behalf Of Diego R. Lopez
Sent: Saturday, June 29, 2019 7:34 PM
To: Yoav Nir; [email-masked]
Cc: Roman Danyliw
Subject: Re: [I2nsf] IPR Statements about I2NSF documents

Hi,

I have no objection to this new version of the statements.

Be goode,

--

"Esta vez no fallaremos, Doctor Infierno"

Dr Diego R. Lopez

Telefonica I+D

 <https://www.linkedin.com/in/dr2lopez/> https://www.linkedin.com/in/dr2lopez/ 

e-mail:  <mailto:[email-masked]> [email-masked]

Tel:         +34 913 129 041

Mobile:  +34 682 051 091

----------------------------------

On 27/06/2019, 19:51, "I2nsf on behalf of Yoav Nir" <[email-masked] on behalf of [email-masked]> wrote:

Hi folks.  

As you may have noticed, after some back-and-forth with the authors and their university, the IPR statements have been modified as follows:

OLD:

Reasonable and Non-Discriminatory License to All Implementers with Possible Royalty/Fee

NEW:

If this standard is adopted, Sungkyunkwan University (SKKU) will not assert any patents owned or controlled by SKKU against any party for making, using, selling, importing or offering for sale a product that implements the standard, provided, however that SKKU retains the right to assert its patents (including the right to claim past royalties) against any party that asserts a patent it owns or controls (either directly or indirectly) against SKKU or any of SKKU's affiliates or successors in title or against any products of SKKU or any products of any of SKKU's affiliates either alone or in combination with other products; and SKKU retains the right to assert its patents against any product or portion thereof that is not necessary for compliance with the standard. Royalty-bearing licenses will be available to anyone who prefers that option.

The new version is similar to the licensing terms in many IPR statements issued by other rights holders.  See for example https://datatracker.ietf.org/ipr/3591/

It is still up to the working group to decide if this is acceptable, and group members, especially those who raised objections previously, are encouraged to chime in.

We will raise this issue one more time at the meeting, just to make sure everyone has been heard from.

Thanks,

Linda & Yoav

On 6 Jun 2019, at 20:27, Yoav Nir <[email-masked]> wrote:

Hi 

Yesterday we got 5 IPR statements ([1], [2], [3], [4], [5]) related to the following drafts respectively:

·         

·         draft-ietf-i2nsf-nsf-facing-interface-dm 

·         draft-ietf-i2nsf-nsf-monitoring-data-model

·         draft-ietf-i2nsf-capability-data-model

·         draft-ietf-i2nsf-registration-interface-dm

·         draft-ietf-i2nsf-consumer-facing-interface-dm

All of these are WG documents, and one of them (the capability data model draft) is in WGLC.  See [6] and RFC 8179 for more information about IPR disclosures.

All the disclosures claim that the patents or patent applications mentioned may be necessary for implementation of the drafts. Neither the chairs nor anyone else in the IETF is considered competent to evaluate such claims or the validity of any patents, so I suggest that in this thread we avoid bringing this up. What may be concerning is that the licensing policy for these disclosures is "Reasonable and Non-Discriminatory License to All Implementers with Possible Royalty/Fee”, which makes such technologies problematic to many implementers, especially non-commercial ones.

To quote from section 7 of RFC 8179:

   In general, IETF working groups prefer technologies with no known IPR
   claims or, for technologies with claims against them, an offer of
   royalty-free licensing.  However, to solve a given technical problem,
   IETF working groups have the discretion to adopt a technology as to
   which IPR claims have been made if they feel that this technology is
   superior enough to alternatives with fewer IPR claims or free
   licensing to outweigh the potential cost of the licenses.

So this message is to start a discussion about how the I2NSF working group would like to handle this disclosure. Continuing as before and moving to publication is the default outcome of this discussion, but the WG is required to evaluate its position about these disclosures. This is what this thread is for.

Thanks,

Linda & Yoav

[1] https://datatracker.ietf.org/ipr/3553/

[2] https://datatracker.ietf.org/ipr/3557/

[3] https://datatracker.ietf.org/ipr/3556/

[4] https://datatracker.ietf.org/ipr/3555/

[5] https://datatracker.ietf.org/ipr/3554/

[6] https://www.ietf.org/standards/ipr/

  _____  

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição